当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:04 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
是为什么呢?是不是源有问题呢? :em18


页首
 用户资料  
 
2 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:09 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
代码:
sudo apt-get update
看看


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
3 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:32 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
要不要手动加源啊?直接用系统测试出来的源吗? :em20


页首
 用户资料  
 
4 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:34 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
看wiki ,换源 更新啊

http://wiki.ubuntu.org.cn/index.php?tit ... iant=zh-cn


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:41 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
提示的信息是这样的:
The following packages have unmet dependencies:
build-essential:Depends:libc6-dev but it is not going to be installed or lib-dev
Depends:g++(>=4:4.1.1) but it is not going to be installed
E:Broken packages


怎么回事呢?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:43 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
哦,谢谢先!我再摸索摸索


页首
 用户资料  
 
7 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:44 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
你的ubuntu版本是?贴你的/etc/apt/sources.list出来看看,估计是你的源版本不正确

或者试试
代码:
sudo apt-get install -f


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
8 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:50 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
7.10
source.lst中内容是这样的:
deb http://fr.archive.ubuntu.com/ubuntu dapper main


页首
 用户资料  
 
9 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 15:53 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
nkeztt 写道:
7.10
source.lst中内容是这样的:
deb http://fr.archive.ubuntu.com/ubuntu dapper main

drapper代表版本6.06版本,改成7.10 是 gutsy,7.10到今年4.18就不支持了,赶紧升级吧


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
10 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 16:03 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
哦,这样啊。天哪,我是菜鸟中的菜鸟啊,刚装上ubuntu没 :em23 多少天呢。怎么升级都不会。。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 16:09 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
我把源改了,还是不行啊,还是那些提示。。这到底是为什么啊? :em20


页首
 用户资料  
 
12 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 16:26 
头像

注册: 2008-06-22 13:38
帖子: 1627
地址: 武汉
送出感谢: 0 次
接收感谢: 0 次
什么版本上什么源^^
WIKI


_________________
mint+gnome


页首
 用户资料  
 
13 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-10 17:48 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
nkeztt 写道:
我把源改了,还是不行啊,还是那些提示。。这到底是为什么啊? :em20

唉,怕了你,换一个源要更新一下下拉,
代码:
sudo apt-et update
:em20


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
14 楼 
 文章标题 : Re: gcc找不到头文件,build-essential装不了,libc6-dev无法安装
帖子发表于 : 2009-04-11 9:53 

注册: 2009-04-10 14:04
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
终于好了!谢谢各位! :em06


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译